## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-vhacdx
Version:        0.0.8.post2
Release:        %autorelease
Summary:        Python bindings for V-HACD

# The entire source is MIT, except:
#
# BSD-3-Clause:
#   A bundled copy of the header-only V-HACD library appears as
#   src/vhacdx/VHACD.h. We remove it in %%prep in favor of the system library,
#   but since header-only libraries are effectively static libraries,
#   BSD-3-Clause still appears in the licenses of the binary RPMs.
License:        MIT AND BSD-3-Clause
URL:            https://github.com/trimesh/vhacdx
Source:         %{pypi_source vhacdx}

BuildSystem:            pyproject
BuildOption(generate_buildrequires): -x test
BuildOption(install):   -l vhacdx

BuildRequires:  gcc-c++

BuildRequires:  v-hacd-devel
# For tracking of header-only library dependencies
# https://docs.fedoraproject.org/en-US/packaging-guidelines/#_packaging_header_only_libraries
BuildRequires:  v-hacd-static

%global common_description %{expand:
A very simple and raw Python binding for V-HACD that is forked from
https://github.com/thomwolf/pyVHACD which generates an approximate convex
decomposition of a triangle mesh.}

%description %{common_description}


%package -n python3-vhacdx
Summary:        %{summary}

%description -n python3-vhacdx %{common_description}


%prep -a
# Remove the bundled copy of the V-HACD library (use the system one instead).
rm -v src/vhacdx/VHACD.h


%install -a
# We have no idea what to suggest upstream should change to keep pybind11 from
# installing C++ source files, but it isn’t useful to package them.
find '%{buildroot}%{python3_sitearch}' -type f -name '*.cpp' -print -delete
sed -r -i '/\.cpp$/d' '%{pyproject_files}'


%check -a
%pytest


%files -n python3-vhacdx -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri May 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.8.post2-2
- F41+: Use the provisional pyproject declarative buildsystem

* Fri May 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.8.post2-1
- Update to 0.0.8.post2

* Fri May 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.8-1
- Update to 0.0.8

* Fri May 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.7-1
- Update to 0.0.7

* Fri May 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.5-1
- Update to 0.0.5

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.4-7
- Add a SourceLicense field

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.0.4-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.4-2
- Assert that %%pyproject_files contains a license file

* Mon Oct 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.4-1
- Initial package (close RHBZ#2243830)
## END: Generated by rpmautospec
